package org.ntlab.acanthus_client.views.main_menu_ui.mypage;

import org.ntlab.acanthus_client.Acanthus;
import org.ntlab.acanthus_client.views.main_menu_ui.mypage.model.Invited.InvitedConnectionModel;
import org.ntlab.acanthus_client.views.main_menu_ui.mypage.model.MyPageInfoConnectionModel;

//-----------------------------------------------------------------
//
public class MyPageModelContainer {
    private InvitedConnectionModel invitedConnectionModel;
    private MyPageInfoConnectionModel myPageInfoConnectionModel;

    //-----------------------------------------------------------------
    //-----------------------------------------------------------------
    public MyPageModelContainer(Acanthus acanthus) {
        init(acanthus);
    }

    //-----------------------------------------------------------------
    // getter
    public InvitedConnectionModel getInvitedConnectionModel() {
        return invitedConnectionModel;
    }

    public MyPageInfoConnectionModel getMyPageInfoConnectionModel() {
        return myPageInfoConnectionModel;
    }

    //-----------------------------------------------------------------
    //-----------------------------------------------------------------
    // init
    private void init(Acanthus acanthus) {
        invitedConnectionModel = new InvitedConnectionModel(acanthus);
        myPageInfoConnectionModel = new MyPageInfoConnectionModel(acanthus);
    }
    //-----------------------------------------------------------------

}
